Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 2.0.0dev1

Bug #2885 Array Container is not implemented
Submitted: 2004-12-03 18:33 UTC Modified: 2008-04-14 20:24 UTC
From: farell Assigned:
Status: Wont fix Package: Auth_PrefManager2
PHP Version: 4.3.9 OS: Windows XP
Roadmaps: (Not assigned)    
Subscription  


 [2004-12-03 18:33 UTC] farell
Description: ------------ If i want to create an Array Container image, i can't because the class name is Auth_PrefManager2_Container_Mock and should be Auth_PrefManager2_Container_Array Reproduce code: --------------- <?php require_once 'Auth/PrefManager2.php'; $prefs = &Auth_PrefManager2::factory('Array'); echo '<pre>'; var_dump($prefs); echo '</pre>'; ?> Expected result: ---------------- A valid instance of object(auth_prefmanager2_container_array) Actual result: -------------- A NULL value

Comments

 [2008-04-06 04:45 UTC] doconnor (Daniel O'Connor)
 [2008-04-06 05:16 UTC] aashley (Adam Ashley)
Auth_PrefManager2 should not be used in its current form. It has had one development release and than was abandoned by the original developers. I took it over as I was taking over Auth_PrefManager and plan to do a proper Auth_PrefManager2 when PEAR2 is available to work with.
 [2008-04-14 19:18 UTC] dufuz (Helgi Þormar Þorbjörnsson)
Question is if you can't fix this and do a release ? PEAR2 will have it's own channel and thus it would be nice if we could get all bugs out of the way on this channel. I hope you understand :)
 [2008-04-14 20:24 UTC] aashley (Adam Ashley)
this is a dead package. it has had one ALPHA release it should not be used anywhere for any purpose. It does not meet the current requirements for a PEAR package in any way shape or form. To get it up to scratch requires a complete rewrite, I will not be wasting my time doing that rewrite in such a way as to support PHP4.